Subject: Re: Cygnus b19 gcc and Mingw32
From: [email-masked] (Earnie Boyd)

10 Mar 1998 18:57:36 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: Christopher Faylor <[email-masked]>
>Date: Tue, 10 Mar 1998 10:26:16 -0500 (EST)
>To: [email-masked]
>Subject: Re: Cygnus b19 gcc and Mingw32
>Cc: [email-masked]
>
>>Ok. I tried your cygwinb19.dll.  I tried "ls | more.com".  more.com 
>>doesn't stop; it just spews the data out like it was a cat.
>>
>>Was your cygwinb19.dll supposed to fix that problem?  The CYGWIN32 
>>environment variable is set to tty.
>
>Nope.  It wasn't supposed to fix that problem.  TTYs in CYGWIN32 are
>implemented using pipes.  I suspect that more thinks that since its
>standard output is a pipe, it should not be doing its normal page
>operations.  I don't think there *is* a way to fix this problem.

Well the fix is to undo the changes and go back to the way it was 
handled.  My example worked in b18, it should work now.  One of the 
beauties about this was that I was able to live in both worlds.  Now, I 
have to exit bash to execute a native program.

THAT WILL NEVER WORK!!!

>
>My CYGWINB19.DLL was supposed to fix problems with using programs
>like ftp.exe which didn't wait for input.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".